<template>
  <div class="header-right item-middle">
    <div class="item-middle header-right">
      <HeaderSearch />

      <a href="#" class="btn btn-secondary header-btn">Báo giá ngay</a>

      <ul class="navbar d-none d-xl-flex mb-0">
        <li class="nav-item">
          <a class="nav-link" href="#">Hồ sơ năng lục</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Dự án đã làm</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Liên hệ</a>
        </li>
      </ul>

      <header-cart />
    </div>
  </div>
</template>

<script>
import LoginForm from "../login/login-form.vue";
import HeaderCart from "./header-cart.vue";
import HeaderSearch from "./header-search.vue";
export default {
  name: "HeaderTopRight",
  components: { LoginForm, HeaderCart, HeaderSearch },
};
</script>

<style lang="scss">
@import "@/assets/scss/base/variables";
@import "@/assets/scss/base/mixins";
.header-btn {
  margin-right: $nav-link-padding-x;
  @include breakpoints(max-xs) {
    padding-left: 15px;
    padding-right: 15px;
  }
}

.header-right {
  flex: 1;
  justify-content: flex-end;
  @include breakpoints(sm-md) {
    max-width: 65%;
    justify-content: end;
    padding-right: 20px;
  }
}

</style>
